package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussUserInfo;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Mapper
public interface TbPlussUserInfoMapper {
    int deleteByPrimaryKey(Long id);

    int insert(TbPlussUserInfo record);

    int insertSelective(TbPlussUserInfo record);

    TbPlussUserInfo selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TbPlussUserInfo record);

    int updateByPrimaryKey(TbPlussUserInfo record);

    TbPlussUserInfo selectByLoginName(String loginName);

    Map<String,Object> selectIndexData(Integer userId);

    List<Map<String,Object>> selectOutFlow(String userId,String userName,String merchantCode,String status);

    List<Map<String,Object>> selectOrderByDay(String userId);

    List<Map<String,Object>> selectProfitByDay(String userId);

    List<Map<String,Object>> selectProfitByMonth(@Param("userId") String userId, @Param("year") String year);

    List<Map<String,Object>> selectOrderByMonth(@Param("userId") String userId, @Param("year") String year);

}